astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- CylindricalRepresentation

# CylindricalRepresentation

class `astropy.coordinates.``CylindricalRepresentation`(rho, phi, z, copy=True)

  Bases: `astropy.coordinates.BaseRepresentation`

  Representation of points in 3D cylindrical coordinates.

  Parameters:

  rho : `Quantity`

  > The distance from the z axis to the point(s).

  phi : `Quantity`

  > The azimuth of the point(s), in angular units, which will be wrapped to an angle between 0 and 360 degrees. This can also be instances of `Angle`,

  z : `Quantity`

  > The z coordinate(s) of the point(s)

  copy : bool, optional

  > If True arrays will be copied rather than referenced.

  Attributes Summary

  `attr_classes` |
  `phi` | The azimuth of the point(s).
  `recommended_units` |
  `rho` | The distance of the point(s) from the z-axis.
  `z` | The height of the point(s).

  Methods Summary

  `from_cartesian`(cart) | Converts 3D rectangular cartesian coordinates to cylindrical polar coordinates.
  `to_cartesian`() | Converts cylindrical polar coordinates to 3D rectangular cartesian coordinates.

  Attributes Documentation

  `attr_classes` = OrderedDict([(u'rho', <class 'astropy.units.quantity.Quantity'>), (u'phi', <class 'astropy.coordinates.angles.Angle'>), (u'z', <class 'astropy.units.quantity.Quantity'>)])
  `phi`

    The azimuth of the point(s).

  `recommended_units` = {u'phi': Unit("deg")}
  `rho`

    The distance of the point(s) from the z-axis.

  `z`

    The height of the point(s).

  Methods Documentation

  classmethod `from_cartesian`(cart)

    Converts 3D rectangular cartesian coordinates to cylindrical polar coordinates.

  `to_cartesian`()

    Converts cylindrical polar coordinates to 3D rectangular cartesian coordinates.